Cloud Alerts

Update notification channel

put/triggers/notificators/{notificator_id}

Change a notification channel's name, settings, or enabled state.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

notificator_id*string

Request body

application/jsonRequired
name?string | null
Range1 ≤ length ≤ 255
config?record<string, any> | null
enabled?boolean | null

Responses

Successful Response

application/json

id*string
name*string
type*NotificatorType
Value in"slack""email""discord"
config*record<string, any>
enabled*boolean
created_at*string
Formatdate-time
updated_at*string
Formatdate-time